namespace GameDev.CoreSystems
{
    public interface IPowerSystem
    {
        public bool IsGenerator { get; }

        public bool IsConsumer { get; }

        public void SetMaxPower(int newValue);

        public void Initialize(SoPowerConfig config);

        public int GetMaxPower();

        public int GetCurrentPower();

        public float GetPowerFactor();
    }
}